> For the complete documentation index, see [llms.txt](https://api.bind.hr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.bind.hr/viber-api/models.md).

# Models

## The ButtonObject object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"ButtonObject":{"type":"object","properties":{"caption":{"type":"string"},"action":{"type":"string"}}}}}}
```

## The FileObject object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"FileObject":{"type":"object","properties":{"mediaUrl":{"type":"string","format":"uri"},"fileName":{"type":"string"}}}}}}
```

## The VideoObject object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"VideoObject":{"type":"object","properties":{"mediaUrl":{"type":"string","format":"uri"},"thumbnail":{"type":"string","format":"uri"}}}}}}
```

## The ViberBaseMessage object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"ViberBaseMessage":{"type":"object","properties":{"destination":{"type":"string","description":"Destination phone number"},"ttl":{"type":"integer","description":"Time in seconds after which the message will be considered undelivered. Minimum 60 seconds.","default":60},"callback_url":{"type":"string","format":"uri","description":"Webhook URL for status updates"}},"required":["destination"]}}}}
```

## The ViberTextMessage object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"ViberTextMessage":{"allOf":[{"$ref":"#/components/schemas/ViberBaseMessage"},{"type":"object","properties":{"text":{"type":"string"},"button":{"$ref":"#/components/schemas/ButtonObject"}},"required":["text"]}]},"ViberBaseMessage":{"type":"object","properties":{"destination":{"type":"string","description":"Destination phone number"},"ttl":{"type":"integer","description":"Time in seconds after which the message will be considered undelivered. Minimum 60 seconds.","default":60},"callback_url":{"type":"string","format":"uri","description":"Webhook URL for status updates"}},"required":["destination"]},"ButtonObject":{"type":"object","properties":{"caption":{"type":"string"},"action":{"type":"string"}}}}}}
```

## The ViberImageMessage object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"ViberImageMessage":{"allOf":[{"$ref":"#/components/schemas/ViberBaseMessage"},{"type":"object","properties":{"text":{"type":"string"},"mediaUrl":{"type":"string","format":"uri"},"button":{"$ref":"#/components/schemas/ButtonObject"}},"required":["mediaUrl"]}]},"ViberBaseMessage":{"type":"object","properties":{"destination":{"type":"string","description":"Destination phone number"},"ttl":{"type":"integer","description":"Time in seconds after which the message will be considered undelivered. Minimum 60 seconds.","default":60},"callback_url":{"type":"string","format":"uri","description":"Webhook URL for status updates"}},"required":["destination"]},"ButtonObject":{"type":"object","properties":{"caption":{"type":"string"},"action":{"type":"string"}}}}}}
```

## The ViberFileMessage object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"ViberFileMessage":{"allOf":[{"$ref":"#/components/schemas/ViberBaseMessage"},{"type":"object","properties":{"file":{"$ref":"#/components/schemas/FileObject"}},"required":["file"]}]},"ViberBaseMessage":{"type":"object","properties":{"destination":{"type":"string","description":"Destination phone number"},"ttl":{"type":"integer","description":"Time in seconds after which the message will be considered undelivered. Minimum 60 seconds.","default":60},"callback_url":{"type":"string","format":"uri","description":"Webhook URL for status updates"}},"required":["destination"]},"FileObject":{"type":"object","properties":{"mediaUrl":{"type":"string","format":"uri"},"fileName":{"type":"string"}}}}}}
```

## The ViberVideoMessage object

```json
{"openapi":"3.0.0","info":{"title":"Bind Viber API (v1.0) - official","version":"1.0.0"},"components":{"schemas":{"ViberVideoMessage":{"allOf":[{"$ref":"#/components/schemas/ViberBaseMessage"},{"type":"object","properties":{"video":{"$ref":"#/components/schemas/VideoObject"},"text":{"type":"string"},"button":{"$ref":"#/components/schemas/ButtonObject"}},"required":["video"]}]},"ViberBaseMessage":{"type":"object","properties":{"destination":{"type":"string","description":"Destination phone number"},"ttl":{"type":"integer","description":"Time in seconds after which the message will be considered undelivered. Minimum 60 seconds.","default":60},"callback_url":{"type":"string","format":"uri","description":"Webhook URL for status updates"}},"required":["destination"]},"VideoObject":{"type":"object","properties":{"mediaUrl":{"type":"string","format":"uri"},"thumbnail":{"type":"string","format":"uri"}}},"ButtonObject":{"type":"object","properties":{"caption":{"type":"string"},"action":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.bind.hr/viber-api/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
